List Cryptocurrency Transfers
curl --request GET \
--url https://api.prod.bastion.com/v2/crypto/transfers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.bastion.com/v2/crypto/transfers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.bastion.com/v2/crypto/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.bastion.com/v2/crypto/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.prod.bastion.com/v2/crypto/transfers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.prod.bastion.com/v2/crypto/transfers")
.header("Authorization", "Bearer <token>")
.asString();val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.prod.bastion.com/v2/crypto/transfers")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let url = URL(string: "https://api.prod.bastion.com/v2/crypto/transfers")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.prod.bastion.com/v2/crypto/transfers");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://api.prod.bastion.com/v2/crypto/transfers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"transfers": [
{
"id": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "<string>",
"account_address": "<string>",
"currency_symbol": "<string>",
"amount": "<string>",
"destination_address": "<string>",
"destination_chain": "ETHEREUM_MAINNET",
"status": "ACCEPTED",
"created_at": "<string>",
"updated_at": "<string>",
"transaction_hash": "<string>",
"completed_at": "<string>",
"failure_details": {
"type": "EXECUTION_ERROR",
"description": "<string>"
},
"events": [
{
"event_name": "<string>",
"event_info": {},
"contract_address": "<string>"
}
],
"destination_type": "ON_CHAIN",
"destination_account_id": "<string>",
"identity_id": "<string>"
}
],
"cursor": "<string>"
}Cryptocurrency Transfers
List Cryptocurrency Transfers
Get previously submitted cryptocurrency transfers, sorted by recency in descending order.
GET
/
v2
/
crypto
/
transfers
List Cryptocurrency Transfers
curl --request GET \
--url https://api.prod.bastion.com/v2/crypto/transfers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.bastion.com/v2/crypto/transfers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.bastion.com/v2/crypto/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.bastion.com/v2/crypto/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.prod.bastion.com/v2/crypto/transfers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.prod.bastion.com/v2/crypto/transfers")
.header("Authorization", "Bearer <token>")
.asString();val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.prod.bastion.com/v2/crypto/transfers")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()falseimport Foundation
let url = URL(string: "https://api.prod.bastion.com/v2/crypto/transfers")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.prod.bastion.com/v2/crypto/transfers");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
require 'uri'
require 'net/http'
url = URI("https://api.prod.bastion.com/v2/crypto/transfers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"transfers": [
{
"id": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "<string>",
"account_address": "<string>",
"currency_symbol": "<string>",
"amount": "<string>",
"destination_address": "<string>",
"destination_chain": "ETHEREUM_MAINNET",
"status": "ACCEPTED",
"created_at": "<string>",
"updated_at": "<string>",
"transaction_hash": "<string>",
"completed_at": "<string>",
"failure_details": {
"type": "EXECUTION_ERROR",
"description": "<string>"
},
"events": [
{
"event_name": "<string>",
"event_info": {},
"contract_address": "<string>"
}
],
"destination_type": "ON_CHAIN",
"destination_account_id": "<string>",
"identity_id": "<string>"
}
],
"cursor": "<string>"
}Authorizations
Bearer authentication with an API token
Query Parameters
The maximum number of cryptocurrency transfers to return in a single page. The maximum value that can be specified is 25.
Required range:
1 <= x <= 25Pagination cursor to be used in subsequent queries to retrieve next page of results
Unique identifier of the account to filter transfers by